/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#ifdef MATLAB_MEX_FILE
#include "file_29.h"
#include "file_44.h"
#include "file_19.h"
M Matrix2M(const Matrix& l_287) {
int m=mxGetM(&l_287);
int n=mxGetN(&l_287);
int s=m*n;
M l_466(m,n);
if (mxIsString(&l_287)) {
l_466.settype(M_TEXT);
} else {
l_466.settype(M_MATRIX);
}
copy_double(l_466.addr(), mxGetPr(&l_287), s);
if (mxIsComplex(&l_287)) {
copy_double(l_466.addi(), mxGetPr(&l_287), s);
} else {
zero_double(l_466.addi(), s);
}
return(l_466);
}
typedef Matrix *l_1462;
void M2Matrix(const M& X, l_1462 &l_287) {
int m=X.rows();
int n=X.cols();
int l_484=l_177(X);
l_287=mxCreateFull(m,n,l_484);
if (X.gettype()==M_TEXT) {
l_1463(l_287);
}
int s=m*n;
copy_double(mxGetPr(l_287), X.addr(), s);
if (l_484) {
copy_double(mxGetPr(l_287), X.addi(), s);
}
}
#endif 
